# PDP-11 in Docker/Kubernetes

## Docker
To build the container, run `docker/build.sh [tag]` with the tag you want to apply to the image.

To run the container, use the following command adapted to your needs:

    docker run -d --rm --privileged --name pdp -v `pwd`/rq0.dsk:/mnt/rq0.dsk <tag>

## Kubernetes
To run in Kubernetes, first you need to build the docker image and push it to a registry your cluster has access to.

Once you've done that, edit k8s/deployment.yaml
